petsc-3.4.2 2013-07-02

# VecType

String with the name of a PETSc vector

### Synopsis

    typedef const char* VecType;
    #define VECSEQ         "seq"
    #define VECMPI         "mpi"
    #define VECSTANDARD    "standard"   /* seq on one process and mpi on several */
    #define VECSHARED      "shared"
    #define VECSIEVE       "sieve"
    #define VECSEQCUSP     "seqcusp"
    #define VECMPICUSP     "mpicusp"
    #define VECCUSP        "cusp"       /* seqcusp on one process and mpicusp on several */
    #define VECNEST        "nest"
    #define VECSEQPTHREAD  "seqpthread"
    #define VECMPIPTHREAD  "mpipthread"
    #define VECPTHREAD     "pthread"    /* seqpthread on one process and mpipthread on several */

### See Also

VecSetType(), Vec, VecCreate(), VecDestroy()

Level:beginner
Location:src/vec/vec/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages